﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EcrHost_CS
{
    class TrxSummary
    {
	    private int debitCount;
	    private int creditCount;
	    private int cbCount;
	    private long debitSum;
	    private long creditSum;
	    private long cbSum;

        public void Clear()
        {
	        debitCount = 0;
            creditCount = 0;
            cbCount = 0;
            debitSum = 0;
            creditSum = 0;
            cbSum = 0;
        }

        public void incCountDebit()
        {
	        debitCount++;
        }

        public void incCountCredit()
        {
	        creditCount++;
        }

        public void incCountCashBack()
        {
	        cbCount++;
        }

        public void addDebitSum(int amtSum)
        {
	        debitSum += amtSum;
        }

        public void addCreditSum(int amtSum)
        {
	        creditSum += amtSum;
        }

        public void addCashBackSum(int amtSum)
        {
	        cbSum += amtSum;
        }

        public void clear()
        {
            debitCount = 0;
	        creditCount = 0;
	        cbCount = 0;
	        debitSum = 0;
	        creditSum = 0;
	        cbSum = 0;
        }


        public int getTotalsDebitCount()
        {
	        return(debitCount);
        }

        public int getTotalsCreditCount()
        {
	        return(creditCount);
        }

        public int getTotalsCBCount()
        {
	        return(cbCount);
        }

        public long getTotalsDebitSum()
        {	    
	        return(debitSum);
        }

        public long getTotalsCreditSum()
        {            
	 	    return(creditSum);
        }

        public long getTotalsCBSum()
        {            
            return (cbSum);
        }

        override public string ToString ()
        {
            string prnSum = "DebitCount: " + getTotalsDebitCount() + "\n" +
                            "DebitSum: " + getTotalsDebitSum() + "\n" +
                            "CreditCount: " + getTotalsCreditCount() + "\n" +
                            "CreditSum: " + getTotalsCreditSum() + "\n" +
                            "CB Count: " + getTotalsCBCount() + "\n" +
                            "CB Sum: " + getTotalsCBSum() + "\n";
            return(prnSum);
        }
    }
}
